Package org.eclipse.rdf4j.common.webapp.system

## Class SystemInfoController

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.system.SystemInfoController

- All Implemented Interfaces:
    `org.springframework.web.servlet.mvc.Controller`

      public class SystemInfoController
      extends Object
      implements org.springframework.web.servlet.mvc.Controller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SystemInfoController.MemoryInfo` |
    `static class` | `SystemInfoController.ServerInfo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemInfoController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AppConfiguration` | `getConfig()` |
    `String` | `getView()` |
    `org.springframework.web.servlet.ModelAndView` | `handleRequest​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `setConfig​(AppConfiguration config)` |
    `void` | `setView​(String view)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInfoController

          public SystemInfoController()

  - ### Method Detail

    - #### getView

          public String getView()

    - #### setView

          public void setView​(String view)

    - #### handleRequest

          public org.springframework.web.servlet.ModelAndView handleRequest​(javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)
                                                                     throws Exception

      Specified by:
        `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
      Throws:
        `Exception`

    - #### getConfig

          public AppConfiguration getConfig()

    - #### setConfig

          public void setConfig​(AppConfiguration config)